#define TMD_CHECK_FATAL_ERROR 1
// ... no point in trying to submit TMD data to ordering table if this status was returned.
#define TMD_CHECK_END 0
// ... TMD may or may not be OK depending on messages displayed.

long TMD_check_via_handler( GsDOBJ2 *p_handler );
long TMD_check_via_object( TMD_OBJ *p_TMD_object );
long check_address( unsigned long v_address, long v_size );
long check_3_vertices( TMD_OBJ *p_TMD_object, long v_prim_index,
                       long v_vert_index0, long v_vert_index1, long v_vert_index2 );
long check_4_vertices( TMD_OBJ *p_TMD_object, long v_prim_index,
                       long v_vert_index0, long v_vert_index1, long v_vert_index2, long v_vert_index3 );
long check_1_normal( TMD_OBJ *p_TMD_object, long v_prim_index,
                     long v_norm_index0 );
long check_3_normals( TMD_OBJ *p_TMD_object, long v_prim_index,
                      long v_norm_index0, long v_norm_index1,
                      long v_norm_index2 );
long check_4_normals( TMD_OBJ *p_TMD_object, long v_prim_index,
                      long v_norm_index0, long v_norm_index1,
                      long v_norm_index2, long v_norm_index3  );


 

#define F_3_OR_F_3G  0x20
//   ..."Triangle No-texture" and "Triangle No-texture with gradation" have same mode value.
#define G_3_OR_G_3G  0x30
//   ..."triangle gouraud" and "triangle gouraud with gradation" have same mode value.
#define F_4_OR_F_4G  0x28
//   ..."Quadangle No-texture" and "Quadangle No-texture with gradation" have same mode value.
#define G_4_OR_G_4G  0x38
//   ..."quad gouraud" and "quad gouraud with gradation" have same mode value.

#define NORMAL_REFERENCED 1
#define VERTEX_REFERENCED 2
